=== debian/changelog ===
ubertooth (2015.09.R2-4) unstable; urgency=medium

  * debian/copyright: Updated copyright year for Debian packaging
  * debian/rules:
    - Use UTC for the timestamp to firmware build as well
    - Use --mode= for tar command to make tarball reproducible

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 23 Feb 2016 17:41:54 +0100

ubertooth (2015.09.R2-3) unstable; urgency=medium

  * debian/rules:
    - Fix order in tarball to make it reproducible
    - Make COMPILE_BY and COMPILE_HOST also deterministic when building
      bluetooth_rxtx.dfu

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 23 Feb 2016 00:13:13 +0100

ubertooth (2015.09.R2-2) unstable; urgency=medium

  * Set changelog date to UTC with LC_ALL=C to make man pages reproducible.
  * Add --mtime to tar command to make tar-ball reproducible.
  * Set TIMESTAMP to "", to make firmware reproducible
  * New standards version (3.9.7). No needed updates.
  * Run "cme fix dpkg-control":
    - Changed Vcs-Git to use secure URL.
    - Various other ordering changes for fields in d/control

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 19 Feb 2016 17:52:46 +0100

ubertooth (2015.09.R2-1) unstable; urgency=low

  * Initial release (Closes: #772509)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 09 Sep 2015 20:21:57 +0200
