=== debian/control ===
Source: ubertooth
Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libusb-1.0-0-dev,
               libpcap-dev,
               cmake,
               pkg-config,
               libbluetooth-dev,
               libbtbb-dev,
               python-all-dev,
               txt2man,
               gcc-arm-none-eabi,
               libnewlib-arm-none-eabi,
               libstdc++-arm-none-eabi-newlib
Standards-Version: 3.9.7
Vcs-Browser: https://github.com/rubund/debian-ubertooth/tree/master
Vcs-Git: https://github.com/rubund/debian-ubertooth.git
Homepage: http://ubertooth.sourceforge.net/

Package: libubertooth0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Shared library for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the shared library needed by Ubertooth.

Package: libubertooth-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libubertooth0 (= ${binary:Version}),
         libusb-1.0-0-dev,
         libpcap-dev,
         libbluetooth-dev,
         libbtbb-dev,
         ${misc:Depends}
Description: Shared library for Bluetooth experimentation - development files
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package provides the development files for using the ubertooth library.

Package: libubertooth0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libubertooth0 (= ${binary:Version}),
         ${misc:Depends}
Description: Shared library for Bluetooth experimentation - debugging symbols
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
 .
 This package contains the debugging files used to investigate problems with
 the ubertooth library.

Package: ubertooth-firmware
Architecture: all
Depends: ${misc:Depends}
Recommends: ubertooth
Suggests: ubertooth-firmware-source
Description: Firmware for Ubertooth
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains a number of firmware images that
 may be programmed into the Ubertooth hardware using the 'ubertooth-dfu'
 command.
 .
 The firmware images are installed in /usr/share/ubertooth/firmware/

Package: ubertooth-firmware-source
Architecture: all
Depends: ${misc:Depends},
         ubertooth,
         libubertooth-dev
Recommends: gcc-arm-none-eabi,
            libnewlib-arm-none-eabi,
            libstdc++-arm-none-eabi-newlib
Suggests: ubertooth-firmware
Description: Source code for the Ubertooth firmware
 The Ubertooth hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains the source code for the firmware that
 is found in the ubertooth-firmware package.
 .
 The firmware source may be found in /usr/src/ubertooth-firmware-source.tar.gz
 after installing this package.

Package: ubertooth
Architecture: any
Depends: libubertooth0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         python,
         python-numpy,
         python-pyside.qtcore,
         python-pyside.qtgui
Recommends: ubertooth-firmware
Suggests: ubertooth-firmware-source
Description: 2.4 GHz wireless development platform for Bluetooth experimentation
 Project Ubertooth is an open source wireless development platform suitable for
 Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
 sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
 connections.
