=== firmware/bluetooth_rxtx/Makefile ===
--- 
+++ 
@@ -8,6 +8,10 @@
 	bluetooth.c \
 	bluetooth_le.c \
 	ubertooth_usb.c \
+	ubertooth_rssi.c \
+	ubertooth_cs.c \
+	ubertooth_clock.c \
+	ubertooth_dma.c \
 	cc2400_rangetest.c \
 	ego.c \
 	$(LIBS_PATH)/usb_serial.c \
