=== debian/changelog ===
ubertooth (2017.03.R2-2) unstable; urgency=low

  * debian/control:
    - Add "Multi-Arch: foreign" to ubertooth-firmware
  * debian/tests/buildfirmware:
    - Pipe stderr to stdout for "make" invocation to prevent the CI test
      from failing due to some build warnings.
  * debian/tests/control:
    - Explicitly include all test dependencies

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 16 Jul 2017 18:40:08 +0000

ubertooth (2017.03.R2-1) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    - New standards version 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 23:03:25 +0200

ubertooth (2017.03.R2-1~exp2) experimental; urgency=low

  * debian/control:
    - Updated long description for binary package ubertooth
  * debian/tests/*:
    - Added autopkgtest for building firmware from ubertooth-firmware-source.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 01 Apr 2017 07:07:10 +0000

ubertooth (2017.03.R2-1~exp1) experimental; urgency=medium

  * New upstream version (Closes: #852141)
  * libubertooth0 -> libubertooth1
  * debian/libubertooth1.symbols:
    - Added new symbols and removed some symbols
  * debian/ubertooth.manpages: Use new upstream man pages instead
  * debian/control:
    - New standards version: 3.9.8
    - Removed -dbg package (now handled automatically)
    - Set versioned build-dependency on libbtbb-dev
  * debian/copyright:
    - Updated copyright information
  * debian/man/ubertooth-tx.txt:
    - New dummy man page for ubertooth-tx not yet
      included in package
  * debian/patches/0006-Try-fixing-two-lintians.patch
    - Some of the upstream man pages needed to be patch to not
      cause lintians
  * debian/patches/*: All other patches refreshed
  * debian/rules:
    - No need to explicitly override dh_strip anymore
    - Skip installing ubertooth-tx, since it does not do anything yet.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 14 Mar 2017 20:35:32 +0100
