=== debian/control ===
--- 
+++ 
@@ -2,24 +2,25 @@
 Maintainer: Ruben Undheim <ruben.undheim@gmail.com>
 Section: science
 Priority: optional
+Testsuite: autopkgtest
 Build-Depends: debhelper (>= 9),
                libusb-1.0-0-dev,
                libpcap-dev,
                cmake,
                pkg-config,
                libbluetooth-dev,
-               libbtbb-dev,
+               libbtbb-dev (>= 2017.03.R2),
                python-all-dev,
                txt2man,
                gcc-arm-none-eabi,
                libnewlib-arm-none-eabi,
                libstdc++-arm-none-eabi-newlib
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Vcs-Browser: https://github.com/rubund/debian-ubertooth/tree/master
 Vcs-Git: https://github.com/rubund/debian-ubertooth.git
 Homepage: http://ubertooth.sourceforge.net/
 
-Package: libubertooth0
+Package: libubertooth1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -38,7 +39,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libubertooth0 (= ${binary:Version}),
+Depends: libubertooth1 (= ${binary:Version}),
          libusb-1.0-0-dev,
          libpcap-dev,
          libbluetooth-dev,
@@ -52,24 +53,9 @@
  .
  This package provides the development files for using the ubertooth library.
 
-Package: libubertooth0-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libubertooth0 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Shared library for Bluetooth experimentation - debugging symbols
- Project Ubertooth is an open source wireless development platform suitable for
- Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
- sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
- connections.
- .
- This package contains the debugging files used to investigate problems with
- the ubertooth library.
-
 Package: ubertooth-firmware
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: ubertooth
 Suggests: ubertooth-firmware-source
@@ -100,7 +86,7 @@
 
 Package: ubertooth
 Architecture: any
-Depends: libubertooth0 (= ${binary:Version}),
+Depends: libubertooth1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
          python,
@@ -111,6 +97,13 @@
 Suggests: ubertooth-firmware-source
 Description: 2.4 GHz wireless development platform for Bluetooth experimentation
  Project Ubertooth is an open source wireless development platform suitable for
- Bluetooth experimentation. Ubertooth ships with a capable BLE (Bluetooth Smart)
- sniffer and can sniff some data from Basic Rate (BR) Bluetooth Classic
+ Bluetooth experimentation. This package contains everything necessary to use
+ the hardware dongle.
+ .
+ Ubertooth is capable of sniffing BLE (Bluetooth Smart) connections and it also
+ has some ability to sniff some data from Basic Rate (BR) Bluetooth Classic
  connections.
+ .
+ In addition to the Bluetooth specific capabilities, there is also a simple
+ spectrum analyzer for the 2.4 GHz band included (ubertooth-specan-ui) which
+ can be used to also observe other things in this frequency band.
