=== debian/rules ===
--- 
+++ 
@@ -53,10 +53,8 @@
 	dh_auto_install --sourcedirectory=firmware
 	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 	cp debian/ubertooth.pc debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-
-override_dh_strip:
-	dh_strip -plibubertooth0 --keep-debug --dbg-package=libubertooth0-dbg
-	dh_strip -pubertooth
+	rm debian/tmp/usr/bin/ubertooth-tx # The tool does nothing - not fully implemented. Skip installing
+	                                   # TODO: remove line when tool has been implemented
 
 override_dh_installman:
 	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
