=== debian/tests/control ===
Tests: buildfirmware
Depends: ubertooth-firmware-source, gcc-arm-none-eabi, libnewlib-arm-none-eabi, libstdc++-arm-none-eabi-newlib
